Package com.io7m.waxmill.machines

# Class WXMDeviceSlotType

java.lang.Object
com.io7m.waxmill.machines.WXMDeviceSlotType

All Implemented Interfaces:
  `java.lang.Comparable<WXMDeviceSlotType>`

Direct Known Subclasses:
  `WXMDeviceSlot`

    @Immutable
    public abstract class WXMDeviceSlotType
    extends java.lang.Object
    implements java.lang.Comparable<WXMDeviceSlotType>

A device slot. A device is uniquely identified by the PCI bus, slot, and function to which it is attached.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static com.io7m.jranges.RangeInclusiveI` | `VALID_BUS_IDS` | The inclusive range of valid PCI bus IDs.
  `static com.io7m.jranges.RangeInclusiveI` | `VALID_FUNCTION_IDS` | The inclusive range of valid PCI function IDs.
  `static com.io7m.jranges.RangeInclusiveI` | `VALID_SLOT_IDS` | The inclusive range of valid PCI slot IDs.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXMDeviceSlotType()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `compareTo​(WXMDeviceSlotType other)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### VALID_SLOT_IDS

    public static final com.io7m.jranges.RangeInclusiveI VALID_SLOT_IDS
    The inclusive range of valid PCI slot IDs.

  - ### VALID_BUS_IDS

    public static final com.io7m.jranges.RangeInclusiveI VALID_BUS_IDS
    The inclusive range of valid PCI bus IDs.

  - ### VALID_FUNCTION_IDS

    public static final com.io7m.jranges.RangeInclusiveI VALID_FUNCTION_IDS
    The inclusive range of valid PCI function IDs.

- ## Constructor Details

  - ### WXMDeviceSlotType

    public WXMDeviceSlotType()

- ## Method Details

  - ### compareTo

    public final int compareTo​(WXMDeviceSlotType other)
    Specified by:
      `compareTo` in interface `java.lang.Comparable<WXMDeviceSlotType>`

  - ### toString

    public final java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`